WS 2.4 database wont allow joomla 331 to install
Posted by: badger (---.as13285.net)
Date: July 03, 2014 10:09AM

WS 2.4 database wont allow joomla 331 to install, I get this message:

Could not connect to the database. Connector returned number: Could not connect to MySQL.

wampserver 2.4 installed
Apache 2.4.4
php 5.4.12
MySQL 5.6.12
phpmyadmin 4.0.4

Options: ReplyQuote
Re: WS 2.4 database wont allow joomla 331 to install
Posted by: RiggsFolly (---.dynamic.dsl.as9105.com)
Date: July 03, 2014 10:16AM

What colour is youe wampmanager icon, in the system tray?

---------------------------------------------------------------------------------------------
(Windows 10 Pro 64bit) (Wampserver 3.2.8 32bit & 64bit) Aestan Tray Menu 3.2.4.7
<Apache versions MULTIPE> <PHP versions MULTIPLE> <MySQL Versions MULTIPLE>
<MariaDB versions MULTIPLE> <phpMyAdmin versions MULTIPLE> <MySQL Workbench 8.0.23>

Read The Manuals Apache -- MySQL -- PHP -- phpMyAdmin
Get your Apache/MySQL/mariaDB/PHP ADDONs here from the WAMPServer alternate Repo
-X-X-X- Backup your databases regularly Here is How dont regret it later! Yes even when developing -X-X-X-



Edited 1 time(s). Last edit at 07/03/2014 10:17AM by RiggsFolly.

Options: ReplyQuote
Re: WS 2.4 database wont allow joomla 331 to install
Posted by: badger (---.as13285.net)
Date: July 03, 2014 12:26PM

A Green W

Options: ReplyQuote
Re: WS 2.4 database wont allow joomla 331 to install
Posted by: RiggsFolly (---.dynamic.dsl.as9105.com)
Date: July 03, 2014 07:44PM

With Joomla its normally a PHP timeout issue.

PHP scripts are only allowed to run for a finite time, to stop infinite looooooop issues.


To allow Joomla long enough to complete its install try this:-

Edit the php.ini file ( using the wampmanager menus)
wampmanager->PHP->php.ini

Find max_execution_time

Change it to 360

Run the install

Then change max_execution_time back to no more that 60.

---------------------------------------------------------------------------------------------
(Windows 10 Pro 64bit) (Wampserver 3.2.8 32bit & 64bit) Aestan Tray Menu 3.2.4.7
<Apache versions MULTIPE> <PHP versions MULTIPLE> <MySQL Versions MULTIPLE>
<MariaDB versions MULTIPLE> <phpMyAdmin versions MULTIPLE> <MySQL Workbench 8.0.23>

Read The Manuals Apache -- MySQL -- PHP -- phpMyAdmin
Get your Apache/MySQL/mariaDB/PHP ADDONs here from the WAMPServer alternate Repo
-X-X-X- Backup your databases regularly Here is How dont regret it later! Yes even when developing -X-X-X-

Options: ReplyQuote
Re: WS 2.4 database wont allow joomla 331 to install
Posted by: badger (---.as13285.net)
Date: July 04, 2014 12:21PM

More Info.

My step by step.

Creating a database for joomla 331

I enter localhost/phpMyAdmin
On the MyAdmin screen I click on the Databases tab and this is what I get :
---------------------------
Databases

Create database:
X No Privileges

Database Ascending
information_schema
test
Total: 2

Enable Statistics
Note: Enabling the database statistics here might cause heavy traffic between the web server and the MySQ

After i entered phpmyadmin the Left Screen margin
shows
+ information_schema
+ test
---------------------------------
where as the lynda.com tutorial I,m following it shows in the left margin:
information_schema
mysql
performance_schema
test
tpa
tpa-mobile

Help Needed

Options: ReplyQuote
Re: WS 2.4 database wont allow joomla 331 to install
Posted by: RiggsFolly (---.dynamic.dsl.as9105.com)
Date: July 04, 2014 12:40PM

Try logging in to phpMyAdmin with a valid account.


Username = root
password = (NOTHING - Leave this empty)

---------------------------------------------------------------------------------------------
(Windows 10 Pro 64bit) (Wampserver 3.2.8 32bit & 64bit) Aestan Tray Menu 3.2.4.7
<Apache versions MULTIPE> <PHP versions MULTIPLE> <MySQL Versions MULTIPLE>
<MariaDB versions MULTIPLE> <phpMyAdmin versions MULTIPLE> <MySQL Workbench 8.0.23>

Read The Manuals Apache -- MySQL -- PHP -- phpMyAdmin
Get your Apache/MySQL/mariaDB/PHP ADDONs here from the WAMPServer alternate Repo
-X-X-X- Backup your databases regularly Here is How dont regret it later! Yes even when developing -X-X-X-

Options: ReplyQuote


Sorry, only registered users may post in this forum.